InsetsConverter (JavaFX 17)

Module javafx.graphics
Package javafx.css.converter

## Class InsetsConverter

- java.lang.Object
- - javafx.css.StyleConverter<ParsedValue[],​Insets>
  - - javafx.css.converter.InsetsConverter

-     public final class InsetsConverter
      extends StyleConverter<ParsedValue[],​Insets>

  Converter to convert a parsed value array of 1 to 4 size components to an `Insets`. The size values are interpreted as top, right, bottom, left. If only top is given, that value is used on all sides. If there is only top and right, then bottom is set to top and left is set to right. If top, right and bottom are given, then left is set to right.
  Since:
    9

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `InsetsConverter.SequenceConverter` | Converter to convert an array of parsed values, each of which is an array of 1 to 4 size components, to an array of `Insets` objects.

    - ### Nested classes/interfaces declared in class javafx.css.StyleConverter

      `StyleConverter.StringStore`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static StyleConverter<ParsedValue[],​Insets>` | `getInstance()` | Gets the `InsetsConverter` instance.

    - ### Methods declared in class javafx.css.StyleConverter

      `cacheValue, clearCache, convert, convert, getBooleanConverter, getCachedValue, getColorConverter, getDurationConverter, getEffectConverter, getEnumConverter, getFontConverter, getInsetsConverter, getPaintConverter, getSizeConverter, getStringConverter, getUrlConverter, readBinary, writeBinary`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static StyleConverter<ParsedValue[],​Insets> getInstance()

      Gets the `InsetsConverter` instance.
      Returns:
        the `InsetsConverter` instance